import type { _CKDatabaseOperation } from "./CKDatabaseOperation.js";
import type { _NSError } from "../Foundation/NSError.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _CKFetchWebAuthTokenOperation extends _CKDatabaseOperation {
    static alloc(): _CKFetchWebAuthTokenOperation;
    static new(): _CKFetchWebAuthTokenOperation;
    init(): _CKFetchWebAuthTokenOperation;
    initWithAPIToken$(APIToken: _NSString): _CKFetchWebAuthTokenOperation;
    /** APIToken is expected to be set before you begin this operation. */
    APIToken(): _NSString | null;
    setAPIToken$(value: _NSString | null): void;
    /**
     * @abstract This block is called when the operation completes. @discussion The @code -[NSOperation completionBlock] @endcode will also be called if both are set. Each @c CKOperation instance has a private serial queue. This queue is used for all callback block invocations. This block may share mutable state with other blocks assigned to this operation, but any such mutable state should not be concurrently used outside of blocks assigned to this operation.
     */
    fetchWebAuthTokenCompletionBlock(): ((arg0: _NSString, arg1: _NSError) => void) | null;
    setFetchWebAuthTokenCompletionBlock$(value: ((arg0: _NSString, arg1: _NSError) => void) | null): void;
}
